Main Page Modules Data Structures Globals Appendix

# MFaceHLineProp Struct Reference
[Face]

Type of horizontal line spec of face. More...

## Public Types
enum | MFaceHLineType { MFACE_HLINE_BOTTOM, MFACE_HLINE_UNDER, MFACE_HLINE_STRIKE_THROUGH, MFACE_HLINE_OVER, MFACE_HLINE_TOP }
## Data Fields
enum MFaceHLineProp::MFaceHLineType | type
unsigned | width
MSymbol | color

## Detailed Description

Type of horizontal line spec of face.

The type MFaceHLineProp is to specify the detail of Mhline property of a face. The value of the property must be a pointer to an object of this type.

## Member Enumeration Documentation

enum MFaceHLineProp::MFaceHLineType

Type of the horizontal line.

## Field Documentation

enum MFaceHLineProp::MFaceHLineType MFaceHLineProp::type

Type of the horizontal line.

unsigned MFaceHLineProp::width

Width of the line in pixels.

MSymbol MFaceHLineProp::color

Color of the line. If the value is Mnil, foreground color of a merged face is used.

Top of this page
Main Page Modules Data Structures Globals Appendix